Favicon

You are here: Home > API Reference > UEM > Mdm Push Notifications > Send push notification

POST /organizations/:organizationId/mdm/push-notifications/send

Send push notification

POST
https://api.applivery.io/v1/organizations/{organizationId}/mdm/push-notifications/send
curl -X POST "https://api.applivery.io/v1/organizations/{organizationId}/mdm/push-notifications/send" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "os": "ios",
  "identifier": "string",
  "app": "mdmAgent",
  "type": "notification",
  "notification": {
    "title": "string",
    "body": "string",
    "data": {}
  }
}'
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/push-notifications/send", {
  method: "POST",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "os": "ios",
    "identifier": "string",
    "app": "mdmAgent",
    "type": "notification",
    "notification": {
      "title": "string",
      "body": "string",
      "data": {}
    }
  }),
});

const data = await response.json();
import requests

response = requests.post(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/push-notifications/send",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "os": "ios",
      "identifier": "string",
      "app": "mdmAgent",
      "type": "notification",
      "notification": {
        "title": "string",
        "body": "string",
        "data": {}
      }
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Body Params application/json
os string required
ios android aosp macos windows package
identifier string required
Match pattern: ^[a-fA-F0-9]{24}$
app string required
mdmAgent setupAssistant remoteSupport kioskLauncher
type string required
notification silent
notification object required
title string optional
≤ 256 characters
body string required
≤ 256 characters
data object optional
{
    "os": "ios",
    "identifier": "string",
    "app": "mdmAgent",
    "type": "notification",
    "notification": {
        "title": "string",
        "body": "string",
        "data": {}
    }
}

Responses

{
  "type": "object",
  "properties": {}
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}